function wname=wnameconstruct(W2nameval,Order)

if strcmp(W2nameval,'Haar')
    wname='haar';
elseif strcmp(W2nameval,'Daubechies')
    wname=['db' Order];
elseif strcmp(W2nameval,'Symlet')
    wname=['sym' Order];
elseif strcmp(W2nameval,'Coiflet')
    wname=['coif' Order];
elseif strcmp(W2nameval,'Biorthogonal')
    wname=['bior' Order];
elseif strcmp(W2nameval,'Reversed biorthogonal')
    wname=['rbio' Order];
elseif strcmp(W2nameval,'Meyer')
    wname='meyr';
elseif strcmp(W2nameval,'Pseudo-discrete Meyer')
    wname='dmey';
elseif strcmp(W2nameval,'Gaussian')
    wname=['gaus' Order];
elseif strcmp(W2nameval,'Complex Gaussian')
    wname=['cgau' Order];
elseif strcmp(W2nameval,'Mexican Hat')
    wname='mexh';
elseif strcmp(W2nameval,'Morlet')
    wname='morl';
elseif strcmp(W2nameval,'Complex Morlet')
    wname=['cmor' Order];
elseif strcmp(W2nameval,'Shannon')
    wname=['shan' Order];
elseif strcmp(W2nameval,'B-spline')
    wname=['bsp' Order];
elseif strcmp(W2nameval,'Frequency B-spline')
    wname=['fbsp' Order];
elseif strcmp(W2nameval,'Fractional B-spline')
    wname=['frbs' Order];
elseif strcmp(W2nameval,'Chui-Lian 2')
    wname='cl';
elseif strcmp(W2nameval,'Lebrun-Vetterli')
    wname='lv';
elseif strcmp(W2nameval,'Donovan-Geronimo-Hardin-Massopust')
    wname='dghm';
elseif strcmp(W2nameval,'Farras')
    wname='far';
elseif strcmp(W2nameval,'Quincunx')
    wname=['quin' Order];
end